Bug 1183196 - "hammer create organization" fails
Summary: "hammer create organization" fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Configuration Management
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Tom Caspy
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-17 01:27 UTC by Ricardo Santamaria
Modified: 2019-07-11 08:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:55:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
satellite sosreport (333.88 KB, application/x-xz)
2015-01-17 01:27 UTC, Ricardo Santamaria
no flags Details

Description Ricardo Santamaria 2015-01-17 01:27:54 UTC
Created attachment 980947 [details]
satellite sosreport

[root@satellite-master import]# hammer shell
Welcome to the hammer interactive shell
Type 'help' for usage information
Command completion is disabled on ruby < 1.9 due to compatibility problems.
hammer> domain list
---|---------------
ID | NAME          
---|---------------
1  | engi.oanda.com
---|---------------
hammer> subnet create --dhcp-id 1 --tftp-id 1 --dns-primary 172.20.1.3 --dns-secondary 172.20.1.4 --gateway 172.20.1.2 --from 172.20.1.239 --to 172.20.1.240 --domain-ids 1 --mask 255.255.255.0 --name "ENGI Globals" --network 172.20.1.0
Subnet created
hammer> subnet list
---|--------------|------------|--------------
ID | NAME         | NETWORK    | MASK         
---|--------------|------------|--------------
1  | ENGI Globals | 172.20.1.0 | 255.255.255.0
---|--------------|------------|--------------
hammer> subnet create --dhcp-id 1 --tftp-id 1 --dns-primary 172.20.1.3 --dns-secondary 172.20.1.4 --gateway 172.20.42.2 --domain-ids 1 --mask 255.255.255.0 --name "SENG Lab" --network 172.20.42.0
Subnet created
hammer> subnet list
---|--------------|-------------|--------------
ID | NAME         | NETWORK     | MASK         
---|--------------|-------------|--------------
1  | ENGI Globals | 172.20.1.0  | 255.255.255.0
2  | SENG Lab     | 172.20.42.0 | 255.255.255.0
---|--------------|-------------|--------------
hammer> organization create --description "OANDA" --label "OANDA" --name "OANDA" --smart-proxy-ids=1 --domain-ids 1 --subnet-ids 1,2
Could not create the organization:
  resource have no errors
hammer>

Comment 2 RHEL Program Management 2015-01-17 01:33:20 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Tom Caspy 2015-02-17 13:57:42 UTC
I tested this, I did get a error because organization doesn't have a label attribute. on removing the --label option it worked as expected and an organization was indeed created successfully. Revalidate with 6.1 components?

Comment 5 Bryan Kearney 2015-02-18 01:15:32 UTC
Per Comment 4, I am moving this back to ON_QA to have it verified with the new 6.1 builds.

Comment 9 Corey Welton 2015-03-06 17:46:49 UTC
Verified in Satellite-6.1.0-RHEL-7-20150303.0

Comment 10 Corey Welton 2015-03-06 17:56:38 UTC
To be clear, I was able to create orgs a variety of different ways. I, too, did find some odd messages when attempting various permutations, which I bz'd in https://bugzilla.redhat.com/show_bug.cgi?id=1199604

That said, I haven't had any real issues.  If you continue to see failures in new composes, please reopen.

Comment 11 Bryan Kearney 2015-08-11 13:19:32 UTC
This bug is slated to be released with Satellite 6.1.

Comment 12 Bryan Kearney 2015-08-12 13:55:57 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.